#if !defined(AFX_DLGREGIONSELECT_H__3E59E301_F8F2_47F6_8709_DC63F1C37A1E__INCLUDED_)
#define AFX_DLGREGIONSELECT_H__3E59E301_F8F2_47F6_8709_DC63F1C37A1E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgRegionSelect.h : header file
//


#include "tranlistbox.h"
#include <vector>


/////////////////////////////////////////////////////////////////////////////
// CDlgRegionSelect dialog

class CDlgRegionSelect : public CDialog
{
	DECLARE_DYNAMIC(CDlgRegionSelect)

// Construction
public:
	CDlgRegionSelect(CWnd* pParent = NULL);   // standard constructor

	
	void RenderBack( CDC &rDC, CBitmap &rBitmap, int Px, int Py , int SizeX = -1, int SizeY = -1 );


	CBitmap m_btmBack;
	CTranListBox m_RegionList;

	int m_nRegionIndex;

	std::vector<CString> m_vec_strRegionName;

// Dialog Data
	//{{AFX_DATA(CDlgRegionSelect)
	enum { IDD = IDD_DIALOG_REGIONSELECT };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDlgRegionSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CDlgRegionSelect)
	afx_msg void OnPaint();
	virtual BOOL OnInitDialog();
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg HBRUSH OnCtlColor(CDC* pDC, CWnd* pWnd, UINT nCtlColor);
	afx_msg void OnLbnSelchangeListServer();
	afx_msg void OnLbnDblclkListServer();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGREGIONSELECT_H__3E59E301_F8F2_47F6_8709_DC63F1C37A1E__INCLUDED_)
